> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Promote an employee to administrator role

> Promotes an existing employee to administrator, granting them admin privileges while preserving their employee history.



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml post /v1/employers/{employerId}/employees/{employeeId}/promoteToAdmin
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/employees/{employeeId}/promoteToAdmin:
    post:
      tags:
        - Employee
      summary: Promote an employee to administrator role
      description: >-
        Promotes an existing employee to administrator, granting them admin
        privileges while preserving their employee history.
      operationId: promoteEmployeeToAdmin
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
        - in: path
          name: employeeId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Successful promotion response:
                  description: Successful promotion response
                  summary: >-
                    Admin details after promotion with navigation links in HTTP
                    headers
                  value:
                    admin:
                      emailAddress: john.does@example.com
                      firstName: John
                      id: 019615cf-5def-71a4-a27a-9ecc22018ace
                      lastName: Doe
              schema:
                $ref: '#/components/schemas/AdminResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use POST request
        '404':
          description: Resource not found - Employee or Employer not found
        '409':
          content:
            application/json:
              example:
                error: >-
                  This employee cannot be promoted because they are already an
                  administrator.
                traceId: 332a2c23-78ed-4010-b747-b5a8a20c11f9
          description: Conflict - Employee has already been promoted to admin
      security:
        - AuthenticationToken: []
components:
  schemas:
    AdminResponse:
      description: Admin response
      properties:
        admin:
          $ref: '#/components/schemas/AdminDetails'
          description: Admin information
      type: object
    AdminDetails:
      description: Admin information
      properties:
        emailAddress:
          description: Email address associated with an Admin.
          type: string
        firstName:
          description: Admin's first name.
          type: string
        id:
          format: uuid
          type: string
        lastName:
          description: Admin's last name.
          type: string
        middleName:
          description: Middle name.
          type: string
      required:
        - emailAddress
        - firstName
        - lastName
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````